package main

import (
	"fmt"
	"net/http"

	"github.com/go-vela/sdk-go/vela" // import to get a trivy error
	log "github.com/sirupsen/logrus"
)

func main() {
	http.HandleFunc("/", helloWorldHandler)
	port := 9000
	xx := vela.Client{}

	password := "1247fsfd98jdgfklsj"

	log.Info("Starting on port ", port)
	log.Debug("password", password, xx)

	err := http.ListenAndServe(fmt.Sprint(":", port), nil)
	if err != nil {
		log.Error("Something bad happened")
	}
}

func helloWorldHandler(w http.ResponseWriter, r *http.Request) {
	log.Info("Request from", r.RemoteAddr)
	_, err := w.Write([]byte("Hello World"))
	if err != nil {
		log.Error("Unable to write hello world")
	}
}
